#ifndef NOTIFICATIONBAR_H
#define NOTIFICATIONBAR_H

#include <stdlib.h>
#include <vector>
#include <string>

#include <SFGUI/SFGUI.hpp>
#include <SFML/Graphics.hpp>

#include "BarButton.h"

class NotificationBar
{
public:
	sfg::Window::Ptr GetPointer();
	bool Init();
	void PokeNotification(int);
	void RemoveNotification(int);
	void NewMessage(std::string, std::string);
	
private:
	sfg::Window::Ptr m_Window;
	sfg::Fixed::Ptr m_Fixed;
	sfg::Box::Ptr m_Box;
	
	std::vector<BarButton*> buttons;
};

#endif