#ifndef PLAYER_H
#define PLAYER_H

#include <SFML/Graphics.hpp>
#include <vector>

#include "Object.h"

struct Player
{
	Player(int);
	std::vector<RoomType> m_DiscoveredRoomTypes;
	std::vector<Object*> m_KnownEnemies;
	std::vector<Object*> m_Templates;
	bool m_IsHuman;
	bool m_Alive;
	int m_ID;
	
	int m_Pings;
	int m_Risk;
	
	Object* AI();
};

#endif