#include "mashtextgen.h"
#include <iostream>
#include <fstream>
#include <string>
#include <vector>
using namespace std;

MashTextGen::MashTextGen()
{
	files.push_back("src/BarButton.h");
	files.push_back("src/CreateBar.h");
	files.push_back("src/Eventfulness.h");
	files.push_back("src/GameOver.h");
	files.push_back("src/Glob.h");
	files.push_back("src/mashtextgen.h");
	files.push_back("src/MashWindow.h");
	files.push_back("src/Message.h");
	files.push_back("src/Note.h");
	files.push_back("src/NotificationBar.h");
	files.push_back("src/Object.h");
	files.push_back("src/Player.h");
	files.push_back("src/Render.h");
	files.push_back("src/RogueButton.h");
	files.push_back("src/RogueWindow.h");
	files.push_back("src/Stat.h");
	files.push_back("src/World.h");
	files.push_back("src/WorldWindow.h");

	files.push_back("src/BarButton.cpp");
	files.push_back("src/CreateBar.cpp");
	files.push_back("src/Eventfulness.cpp");
	files.push_back("src/GameOver.cpp");
	files.push_back("src/Glob.cpp");
	files.push_back("src/main.cpp");
	files.push_back("src/mashtextgen.cpp");
	files.push_back("src/MashWindow.cpp");
	files.push_back("src/Message.cpp");
	files.push_back("src/Note.cpp");
	files.push_back("src/NotificationBar.cpp");
	files.push_back("src/Object.cpp");
	files.push_back("src/Player.cpp");
	files.push_back("src/Render.cpp");
	files.push_back("src/RogueButton.cpp");
	files.push_back("src/RogueWindow.cpp");
	files.push_back("src/Stat.cpp");
	files.push_back("src/World.cpp");
	files.push_back("src/WorldWindow.cpp");

	LoadMoreData();
	picker = 0;
}

void MashTextGen::LoadMoreData()
{
	string line;
	ifstream myfile ( files[rand()%files.size()].c_str() );
	if (myfile.is_open())
	{
		while ( myfile.good() )
		{
			getline (myfile,line);
			alldata += line;
			alldata += "\n";
		}
		myfile.close();
	}
}

std::string MashTextGen::Get(int amount)
{
	string out = "";
	while (amount > 0)
	{
		if (picker >= alldata.size())
		{
			LoadMoreData();
		}
		else
		{
			out += alldata[picker];
			picker++;
			amount--;
		}
	}
	return out;
}
