#ifndef MASHWINDOW_H
#define MASHWINDOW_H

#include <stdlib.h>
#include <string>

#include <SFGUI/SFGUI.hpp>
#include <SFML/Graphics.hpp>

#include "mashtextgen.h"

class MashWindow
{
public:
	sfg::Window::Ptr GetPointer();
	bool Init();
	void AddText();
	void SetActive(bool);
	bool m_Active;
	
private:
	sfg::Window::Ptr m_Window;
	sfg::Box::Ptr m_Box;
	sfg::Label::Ptr m_Label;
	MashTextGen m_MashGen;
	std::string m_Longdata;
	
	sfg::Viewport::Ptr m_Viewport;
};

#endif